
Redmine - Defect #19611

Hostname with port via colon gets shrinked in e-mail notifications

2015-04-13 21:44 - Ivan Petrov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.0

Description

I successfully installed Redmine, I specified the hostname like myserver:12321 in the settings and it works.

But when I get e-mail notifications, I cannot follow the links in them, because they look like this: myserver/issues/43 but they should

look like this: myserver:12321/issues/43 - so everithing after colon and colon itself disappeared, like it was escaped or something.

Why is this? What should I do to make links in e-mail notifications be correct?

Environment:

Redmine version 3.0.0.stable

Ruby version 2.0.0-p594 (2014-10-27) [i386-mingw32]

Rails version 4.2.0

Environment production

Database adapter Mysql2

Related issues:

Is duplicate of Redmine - Defect #19323: Incorrect links generated in emails ... Closed

History

#1 - 2015-04-14 04:48 - Toshi MARUYAMA

- Affected version changed from 3.0.1 to 3.0.0

#2 - 2015-04-14 04:49 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #19323.

#3 - 2015-04-14 04:49 - Toshi MARUYAMA

- Is duplicate of Defect #19323: Incorrect links generated in emails if host setup uses other port (":" symbol) added

#4 - 2015-04-14 07:11 - Go MAEDA

Please update to Redmine 3.0.1.

As Toshi MARUYAMA said, it has been fixed by #19323 (Redmine 3.0.1).

#5 - 2015-04-19 16:15 - Ivan Petrov

Yes, updating Redmine to 3.0.1 resolved the problem. Thank you.
